156f303a583547059a5a69d78c387f70d6ca06fa
[scilab.git] / scilab / modules / io / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # This file must be used under the terms of the CeCILL.
27 # This source file is licensed as described in the file COPYING, which
28 # you should have received as part of this distribution.  The terms
29 # are also available at
30 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
31 #
32
33 ##########
34 ### Makefile included stuff
35 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
36 ##########
37
38
39 VPATH = @srcdir@
40 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
41 am__make_running_with_option = \
42   case $${target_option-} in \
43       ?) ;; \
44       *) echo "am__make_running_with_option: internal error: invalid" \
45               "target option '$${target_option-}' specified" >&2; \
46          exit 1;; \
47   esac; \
48   has_opt=no; \
49   sane_makeflags=$$MAKEFLAGS; \
50   if $(am__is_gnu_make); then \
51     sane_makeflags=$$MFLAGS; \
52   else \
53     case $$MAKEFLAGS in \
54       *\\[\ \   ]*) \
55         bs=\\; \
56         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
57           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
58     esac; \
59   fi; \
60   skip_next=no; \
61   strip_trailopt () \
62   { \
63     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
64   }; \
65   for flg in $$sane_makeflags; do \
66     test $$skip_next = yes && { skip_next=no; continue; }; \
67     case $$flg in \
68       *=*|--*) continue;; \
69         -*I) strip_trailopt 'I'; skip_next=yes;; \
70       -*I?*) strip_trailopt 'I';; \
71         -*O) strip_trailopt 'O'; skip_next=yes;; \
72       -*O?*) strip_trailopt 'O';; \
73         -*l) strip_trailopt 'l'; skip_next=yes;; \
74       -*l?*) strip_trailopt 'l';; \
75       -[dEDm]) skip_next=yes;; \
76       -[JT]) skip_next=yes;; \
77     esac; \
78     case $$flg in \
79       *$$target_option*) has_opt=yes; break;; \
80     esac; \
81   done; \
82   test $$has_opt = yes
83 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
84 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
85 pkgdatadir = $(datadir)/@PACKAGE@
86 pkgincludedir = $(includedir)/@PACKAGE@
87 pkglibdir = $(libdir)/@PACKAGE@
88 pkglibexecdir = $(libexecdir)/@PACKAGE@
89 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
90 install_sh_DATA = $(install_sh) -c -m 644
91 install_sh_PROGRAM = $(install_sh) -c
92 install_sh_SCRIPT = $(install_sh) -c
93 INSTALL_HEADER = $(INSTALL_DATA)
94 transform = $(program_transform_name)
95 NORMAL_INSTALL = :
96 PRE_INSTALL = :
97 POST_INSTALL = :
98 NORMAL_UNINSTALL = :
99 PRE_UNINSTALL = :
100 POST_UNINSTALL = :
101 build_triplet = @build@
102 host_triplet = @host@
103 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
104         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
105         $(top_srcdir)/config/depcomp
106 @NEED_JAVA_TRUE@am__append_1 = java
107 subdir = modules/io
108 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
109 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
110         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
111         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
112         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
113         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
114         $(top_srcdir)/m4/intel_compiler.m4 \
115         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
116         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
117         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
118         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
119         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
120         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
121         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
122         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
123         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
124         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
125         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
126 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
127         $(ACLOCAL_M4)
128 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
129 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
130 CONFIG_CLEAN_FILES =
131 CONFIG_CLEAN_VPATH_FILES =
132 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
133 am__vpath_adj = case $$p in \
134     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
135     *) f=$$p;; \
136   esac;
137 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
138 am__install_max = 40
139 am__nobase_strip_setup = \
140   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
141 am__nobase_strip = \
142   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
143 am__nobase_list = $(am__nobase_strip_setup); \
144   for p in $$list; do echo "$$p $$p"; done | \
145   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
146   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
147     if (++n[$$2] == $(am__install_max)) \
148       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
149     END { for (dir in files) print dir, files[dir] }'
150 am__base_list = \
151   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
152   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
153 am__uninstall_files_from_dir = { \
154   test -z "$$files" \
155     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
156     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
157          $(am__cd) "$$dir" && rm -f $$files; }; \
158   }
159 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
160         "$(DESTDIR)$(libsciio_la_etcdir)" \
161         "$(DESTDIR)$(libsciio_la_rootdir)" \
162         "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"
163 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
164 libsciio_algo_la_LIBADD =
165 am__objects_1 = libsciio_algo_la-getpidc.lo \
166         libsciio_algo_la-setenvc.lo libsciio_algo_la-systemc.lo \
167         libsciio_algo_la-getenvc.lo libsciio_algo_la-GetenvB.lo \
168         libsciio_algo_la-v2cuniterror.lo
169 am__objects_2 = v2unit.lo newsave.lo v2cunit.lo
170 am_libsciio_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2)
171 libsciio_algo_la_OBJECTS = $(am_libsciio_algo_la_OBJECTS)
172 AM_V_lt = $(am__v_lt_@AM_V@)
173 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
174 am__v_lt_0 = --silent
175 am__v_lt_1 = 
176 @MAINTAINER_MODE_FALSE@am_libsciio_algo_la_rpath =
177 @MAINTAINER_MODE_TRUE@am_libsciio_algo_la_rpath =
178 libsciio_la_DEPENDENCIES = libsciio-algo.la
179 am__objects_3 = libsciio_la-sci_read4b.lo libsciio_la-sci_getio.lo \
180         libsciio_la-sci_readb.lo libsciio_la-sci_host.lo \
181         libsciio_la-sci_file.lo libsciio_la-sci_getenv.lo \
182         libsciio_la-sci_write.lo libsciio_la-sci_writeb.lo \
183         libsciio_la-sci_setenv.lo libsciio_la-gw_io.lo \
184         libsciio_la-sci_read.lo libsciio_la-sci_getpid.lo \
185         libsciio_la-sci_write4b.lo libsciio_la-sci_load.lo \
186         libsciio_la-sci_unix.lo libsciio_la-sci_save.lo
187 am__objects_4 = intwrite4b.lo intwritb.lo intwrite.lo intread4b.lo \
188         intread.lo intreadb.lo intfile.lo
189 am_libsciio_la_OBJECTS = $(am__objects_3) $(am__objects_4)
190 libsciio_la_OBJECTS = $(am_libsciio_la_OBJECTS)
191 @MAINTAINER_MODE_FALSE@am_libsciio_la_rpath =
192 @MAINTAINER_MODE_TRUE@am_libsciio_la_rpath = -rpath $(pkglibdir)
193 AM_V_P = $(am__v_P_@AM_V@)
194 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
195 am__v_P_0 = false
196 am__v_P_1 = :
197 AM_V_GEN = $(am__v_GEN_@AM_V@)
198 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
199 am__v_GEN_0 = @echo "  GEN     " $@;
200 am__v_GEN_1 = 
201 AM_V_at = $(am__v_at_@AM_V@)
202 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
203 am__v_at_0 = @
204 am__v_at_1 = 
205 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
206 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
207 am__depfiles_maybe = depfiles
208 am__mv = mv -f
209 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
210         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
211 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
212         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
213         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
214         $(AM_CFLAGS) $(CFLAGS)
215 AM_V_CC = $(am__v_CC_@AM_V@)
216 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
217 am__v_CC_0 = @echo "  CC      " $@;
218 am__v_CC_1 = 
219 CCLD = $(CC)
220 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
221         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
222         $(AM_LDFLAGS) $(LDFLAGS) -o $@
223 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
224 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
225 am__v_CCLD_0 = @echo "  CCLD    " $@;
226 am__v_CCLD_1 = 
227 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
228 LTF77COMPILE = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
229         $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
230 AM_V_F77 = $(am__v_F77_@AM_V@)
231 am__v_F77_ = $(am__v_F77_@AM_DEFAULT_V@)
232 am__v_F77_0 = @echo "  F77     " $@;
233 am__v_F77_1 = 
234 F77LD = $(F77)
235 F77LINK = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
236         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
237         $(AM_LDFLAGS) $(LDFLAGS) -o $@
238 AM_V_F77LD = $(am__v_F77LD_@AM_V@)
239 am__v_F77LD_ = $(am__v_F77LD_@AM_DEFAULT_V@)
240 am__v_F77LD_0 = @echo "  F77LD   " $@;
241 am__v_F77LD_1 = 
242 SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
243 DIST_SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
244 am__can_run_installinfo = \
245   case $$AM_UPDATE_INFO_DIR in \
246     n|no|NO) false;; \
247     *) (install-info --version) >/dev/null 2>&1;; \
248   esac
249 DATA = $(libsciio_la_etc_DATA) $(libsciio_la_root_DATA) \
250         $(libsciio_la_sci_gateway_DATA)
251 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
252 # Read a list of newline-separated strings from the standard input,
253 # and print each of them once, without duplicates.  Input order is
254 # *not* preserved.
255 am__uniquify_input = $(AWK) '\
256   BEGIN { nonempty = 0; } \
257   { items[$$0] = 1; nonempty = 1; } \
258   END { if (nonempty) { for (i in items) print i; }; } \
259 '
260 # Make sure the list of sources is unique.  This is necessary because,
261 # e.g., the same source file might be shared among _SOURCES variables
262 # for different programs/libraries.
263 am__define_uniq_tagged_files = \
264   list='$(am__tagged_files)'; \
265   unique=`for i in $$list; do \
266     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
267   done | $(am__uniquify_input)`
268 ETAGS = etags
269 CTAGS = ctags
270 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
271 ACLOCAL = @ACLOCAL@
272 ALL_LINGUAS = @ALL_LINGUAS@
273 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
274 AMTAR = @AMTAR@
275 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
276 ANT = @ANT@
277 ANTLR = @ANTLR@
278 AR = @AR@
279 ARPACK_LIBS = @ARPACK_LIBS@
280 ASM3 = @ASM3@
281 AUTOCONF = @AUTOCONF@
282 AUTOHEADER = @AUTOHEADER@
283 AUTOMAKE = @AUTOMAKE@
284 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
285 AWK = @AWK@
286 BATIK = @BATIK@
287 BLAS_LIBS = @BLAS_LIBS@
288 CC = @CC@
289 CCACHE = @CCACHE@
290 CCDEPMODE = @CCDEPMODE@
291 CFLAGS = @CFLAGS@
292 CHECKSTYLE = @CHECKSTYLE@
293 COBERTURA = @COBERTURA@
294 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
295 COMMONS_IO = @COMMONS_IO@
296 COMMONS_LOGGING = @COMMONS_LOGGING@
297 CPP = @CPP@
298 CPPFLAGS = @CPPFLAGS@
299 CURL_CFLAGS = @CURL_CFLAGS@
300 CURL_CONFIG = @CURL_CONFIG@
301 CURL_LIBS = @CURL_LIBS@
302 CURL_VERSION = @CURL_VERSION@
303 CXX = @CXX@
304 CXXCPP = @CXXCPP@
305 CXXDEPMODE = @CXXDEPMODE@
306 CXXFLAGS = @CXXFLAGS@
307 CYGPATH_W = @CYGPATH_W@
308 DEFS = @DEFS@
309 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
310 DEPDIR = @DEPDIR@
311 DOCBOOK_ROOT = @DOCBOOK_ROOT@
312 DOXYGEN_BIN = @DOXYGEN_BIN@
313 DSYMUTIL = @DSYMUTIL@
314 DUMPBIN = @DUMPBIN@
315 ECHO_C = @ECHO_C@
316 ECHO_N = @ECHO_N@
317 ECHO_T = @ECHO_T@
318 EGREP = @EGREP@
319 EXEEXT = @EXEEXT@
320 F77 = @F77@
321 FFLAGS = @FFLAGS@
322 FFTW3_LIB = @FFTW3_LIB@
323 FFTW_ENABLE = @FFTW_ENABLE@
324 FGREP = @FGREP@
325 FLEXDOCK = @FLEXDOCK@
326 FLIBS = @FLIBS@
327 FOP = @FOP@
328 GENHTML = @GENHTML@
329 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
330 GIWS_BIN = @GIWS_BIN@
331 GLUEGEN2_RT = @GLUEGEN2_RT@
332 GMSGFMT = @GMSGFMT@
333 GMSGFMT_015 = @GMSGFMT_015@
334 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
335 GREP = @GREP@
336 GUI_ENABLE = @GUI_ENABLE@
337 HDF5_CFLAGS = @HDF5_CFLAGS@
338 HDF5_LIBS = @HDF5_LIBS@
339 HELP_ENABLE = @HELP_ENABLE@
340 INSTALL = @INSTALL@
341 INSTALL_DATA = @INSTALL_DATA@
342 INSTALL_PROGRAM = @INSTALL_PROGRAM@
343 INSTALL_SCRIPT = @INSTALL_SCRIPT@
344 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
345 INTLLIBS = @INTLLIBS@
346 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
347 JAR = @JAR@
348 JAVA = @JAVA@
349 JAVAC = @JAVAC@
350 JAVAC_DEBUG = @JAVAC_DEBUG@
351 JAVADOC = @JAVADOC@
352 JAVAH = @JAVAH@
353 JAVASCI_ENABLE = @JAVASCI_ENABLE@
354 JAVA_ENABLE = @JAVA_ENABLE@
355 JAVA_G = @JAVA_G@
356 JAVA_HOME = @JAVA_HOME@
357 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
358 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
359 JDB = @JDB@
360 JEUCLID_CORE = @JEUCLID_CORE@
361 JGRAPHX = @JGRAPHX@
362 JHALL = @JHALL@
363 JLATEXMATH = @JLATEXMATH@
364 JLATEXMATH_FOP = @JLATEXMATH_FOP@
365 JOGL2 = @JOGL2@
366 JROSETTA_API = @JROSETTA_API@
367 JROSETTA_ENGINE = @JROSETTA_ENGINE@
368 JUNIT4 = @JUNIT4@
369 LAPACK_LIBS = @LAPACK_LIBS@
370 LCOV = @LCOV@
371 LD = @LD@
372 LDFLAGS = @LDFLAGS@
373 LIBICONV = @LIBICONV@
374 LIBINTL = @LIBINTL@
375 LIBM = @LIBM@
376 LIBOBJS = @LIBOBJS@
377 LIBS = @LIBS@
378 LIBTOOL = @LIBTOOL@
379 LIPO = @LIPO@
380 LN_S = @LN_S@
381 LOGGING_LEVEL = @LOGGING_LEVEL@
382 LOOKS = @LOOKS@
383 LTLIBICONV = @LTLIBICONV@
384 LTLIBINTL = @LTLIBINTL@
385 LTLIBOBJS = @LTLIBOBJS@
386 MAINT = @MAINT@
387 MAKEINFO = @MAKEINFO@
388 MATIO_CFLAGS = @MATIO_CFLAGS@
389 MATIO_ENABLE = @MATIO_ENABLE@
390 MATIO_LIBS = @MATIO_LIBS@
391 MKDIR_P = @MKDIR_P@
392 MPI_ENABLE = @MPI_ENABLE@
393 MSGCAT = @MSGCAT@
394 MSGFMT = @MSGFMT@
395 MSGFMT_015 = @MSGFMT_015@
396 MSGMERGE = @MSGMERGE@
397 NM = @NM@
398 NMEDIT = @NMEDIT@
399 OBJDUMP = @OBJDUMP@
400 OBJEXT = @OBJEXT@
401 OCAMLC = @OCAMLC@
402 OCAMLDEP = @OCAMLDEP@
403 OCAMLLEX = @OCAMLLEX@
404 OCAMLOPT = @OCAMLOPT@
405 OCAMLYACC = @OCAMLYACC@
406 OPENMPI_CC = @OPENMPI_CC@
407 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
408 OPENMPI_CXX = @OPENMPI_CXX@
409 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
410 OPENMPI_LIBS = @OPENMPI_LIBS@
411 OPENMP_CFLAGS = @OPENMP_CFLAGS@
412 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
413 OPENMP_ENABLE = @OPENMP_ENABLE@
414 OPENMP_LIBS = @OPENMP_LIBS@
415 OTOOL = @OTOOL@
416 OTOOL64 = @OTOOL64@
417 PACKAGE = @PACKAGE@
418 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
419 PACKAGE_NAME = @PACKAGE_NAME@
420 PACKAGE_STRING = @PACKAGE_STRING@
421 PACKAGE_TARNAME = @PACKAGE_TARNAME@
422 PACKAGE_URL = @PACKAGE_URL@
423 PACKAGE_VERSION = @PACKAGE_VERSION@
424 PATH_SEPARATOR = @PATH_SEPARATOR@
425 PCRE_CFLAGS = @PCRE_CFLAGS@
426 PCRE_CONFIG = @PCRE_CONFIG@
427 PCRE_LIBS = @PCRE_LIBS@
428 PCRE_VERSION = @PCRE_VERSION@
429 PKG_CONFIG = @PKG_CONFIG@
430 POSUB = @POSUB@
431 POW_LIB = @POW_LIB@
432 PYTHON = @PYTHON@
433 RANLIB = @RANLIB@
434 RELOCATABLE = @RELOCATABLE@
435 RT_LIB = @RT_LIB@
436 SAXON = @SAXON@
437 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
438 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
439 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
440 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
441 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
442 SCIRENDERER = @SCIRENDERER@
443 SCIRENDERER_CP = @SCIRENDERER_CP@
444 SCI_CFLAGS = @SCI_CFLAGS@
445 SCI_CXXFLAGS = @SCI_CXXFLAGS@
446 SCI_FFLAGS = @SCI_FFLAGS@
447 SCI_LDFLAGS = @SCI_LDFLAGS@
448 SED = @SED@
449 SET_MAKE = @SET_MAKE@
450 SET_RELOCATABLE = @SET_RELOCATABLE@
451 SHELL = @SHELL@
452 SKINLF = @SKINLF@
453 SPLINT = @SPLINT@
454 STRIP = @STRIP@
455 SWIG_BIN = @SWIG_BIN@
456 SWIG_JAVA = @SWIG_JAVA@
457 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
458 SWIG_SCILAB = @SWIG_SCILAB@
459 TCLTK_LIBS = @TCLTK_LIBS@
460 TCL_INC_PATH = @TCL_INC_PATH@
461 TK_INC_PATH = @TK_INC_PATH@
462 UMFPACK_ENABLE = @UMFPACK_ENABLE@
463 UMFPACK_LIB = @UMFPACK_LIB@
464 USE_NLS = @USE_NLS@
465 VERSION = @VERSION@
466 WITH_OCAML = @WITH_OCAML@
467 WITH_TKSCI = @WITH_TKSCI@
468 XCOS_ENABLE = @XCOS_ENABLE@
469 XGETTEXT = @XGETTEXT@
470 XGETTEXT_015 = @XGETTEXT_015@
471 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
472 XMKMF = @XMKMF@
473 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
474 XML_APIS_EXT = @XML_APIS_EXT@
475 XML_CONFIG = @XML_CONFIG@
476 XML_FLAGS = @XML_FLAGS@
477 XML_LIBS = @XML_LIBS@
478 XML_VERSION = @XML_VERSION@
479 X_CFLAGS = @X_CFLAGS@
480 X_EXTRA_LIBS = @X_EXTRA_LIBS@
481 X_LIBS = @X_LIBS@
482 X_PRE_LIBS = @X_PRE_LIBS@
483 abs_builddir = @abs_builddir@
484 abs_srcdir = @abs_srcdir@
485 abs_top_builddir = @abs_top_builddir@
486 abs_top_srcdir = @abs_top_srcdir@
487 ac_ct_AR = @ac_ct_AR@
488 ac_ct_CC = @ac_ct_CC@
489 ac_ct_CXX = @ac_ct_CXX@
490 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
491 ac_ct_F77 = @ac_ct_F77@
492 am__include = @am__include@
493 am__leading_dot = @am__leading_dot@
494 am__quote = @am__quote@
495 am__tar = @am__tar@
496 am__untar = @am__untar@
497 bindir = @bindir@
498 build = @build@
499 build_alias = @build_alias@
500 build_cpu = @build_cpu@
501 build_os = @build_os@
502 build_vendor = @build_vendor@
503 builddir = @builddir@
504 cxx_present = @cxx_present@
505 datadir = @datadir@
506 datarootdir = @datarootdir@
507 docdir = @docdir@
508 dvidir = @dvidir@
509 exec_prefix = @exec_prefix@
510 host = @host@
511 host_alias = @host_alias@
512 host_cpu = @host_cpu@
513 host_os = @host_os@
514 host_vendor = @host_vendor@
515 htmldir = @htmldir@
516 includedir = @includedir@
517 infodir = @infodir@
518 install_sh = @install_sh@
519 libdir = @libdir@
520 libexecdir = @libexecdir@
521 localedir = @localedir@
522 localstatedir = @localstatedir@
523 mandir = @mandir@
524 mkdir_p = @mkdir_p@
525 oldincludedir = @oldincludedir@
526 pdfdir = @pdfdir@
527 prefix = @prefix@
528 program_transform_name = @program_transform_name@
529 psdir = @psdir@
530 sbindir = @sbindir@
531 sharedstatedir = @sharedstatedir@
532 srcdir = @srcdir@
533 sysconfdir = @sysconfdir@
534 target_alias = @target_alias@
535 top_build_prefix = @top_build_prefix@
536 top_builddir = @top_builddir@
537 top_srcdir = @top_srcdir@
538 IO_C_SOURCES = src/c/getpidc.c \
539 src/c/setenvc.c \
540 src/c/systemc.c \
541 src/c/getenvc.c \
542 src/c/GetenvB.c \
543 src/c/v2cuniterror.c
544
545 IO_FORTRAN_SOURCES = src/fortran/v2unit.f \
546 src/fortran/newsave.f \
547 src/fortran/v2cunit.f
548
549 GATEWAY_C_SOURCES = sci_gateway/c/sci_read4b.c \
550 sci_gateway/c/sci_getio.c \
551 sci_gateway/c/sci_readb.c \
552 sci_gateway/c/sci_host.c \
553 sci_gateway/c/sci_file.c \
554 sci_gateway/c/sci_getenv.c \
555 sci_gateway/c/sci_write.c \
556 sci_gateway/c/sci_writeb.c \
557 sci_gateway/c/sci_setenv.c \
558 sci_gateway/c/gw_io.c \
559 sci_gateway/c/sci_read.c \
560 sci_gateway/c/sci_getpid.c \
561 sci_gateway/c/sci_write4b.c \
562 sci_gateway/c/sci_load.c \
563 sci_gateway/c/sci_unix.c \
564 sci_gateway/c/sci_save.c
565
566 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/intwrite4b.f \
567 sci_gateway/fortran/intwritb.f \
568 sci_gateway/fortran/intwrite.f \
569 sci_gateway/fortran/intread4b.f \
570 sci_gateway/fortran/intread.f \
571 sci_gateway/fortran/intreadb.f \
572 sci_gateway/fortran/intfile.f
573
574 libsciio_la_CPPFLAGS = -I$(srcdir)/includes/ \
575                         -I$(srcdir)/src/c/ \
576                         -I$(top_srcdir)/modules/core/includes/ \
577                         -I$(top_srcdir)/modules/fileio/includes/ \
578                         -I$(top_srcdir)/modules/api_scilab/includes/ \
579                         -I$(top_srcdir)/modules/output_stream/includes/ \
580                         -I$(top_srcdir)/modules/localization/includes/ \
581                         $(AM_CPPFLAGS)
582
583 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciio.la
584 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciio-algo.la libsciio.la
585 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libsciio-algo.la
586 libsciio_algo_la_SOURCES = $(IO_C_SOURCES) $(IO_FORTRAN_SOURCES)
587 libsciio_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
588 libsciio_algo_la_CPPFLAGS = $(libsciio_la_CPPFLAGS)
589
590 # For the code check (splint)
591 CHECK_SRC = $(IO_C_SOURCES) $(GATEWAY_C_SOURCES)
592 INCLUDE_FLAGS = $(libsciio_la_CPPFLAGS)
593 libsciio_la_LIBADD = libsciio-algo.la
594
595 #### Target ######
596 modulename = io
597
598 #### io : Conf files ####
599 libsciio_la_rootdir = $(mydatadir)
600 libsciio_la_root_DATA = license.txt 
601
602 ####io : init scripts ####
603 libsciio_la_etcdir = $(mydatadir)/etc
604 libsciio_la_etc_DATA = etc/io.quit etc/io.start
605
606 ####io : gateway declaration ####
607 libsciio_la_sci_gatewaydir = $(mydatadir)/sci_gateway
608 libsciio_la_sci_gateway_DATA = sci_gateway/io_gateway.xml
609
610 # Where all the Scilab stuff is installed (macros, help, ...)
611 mydatadir = $(pkgdatadir)/modules/$(modulename)
612
613 # Set AM_* SCI detected settings
614 AM_CPPFLAGS = $(SCI_CPPFLAGS)
615 AM_CFLAGS = $(SCI_CFLAGS)
616 AM_CXXFLAGS = $(SCI_CXXFLAGS)
617 # append includes to AM_FFLAGS to manage fortran includes
618 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
619
620 # Tag shared libraries with the Scilab version
621 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
622
623 # splint options
624 SPLINT_OPTIONS = -weak -booltype BOOL
625
626 ########################### JAVA ######################################
627 #### We are delegating java compilation to ant... Thanks to that
628 #### the procedure will be the same with Microsoft Windows (C)
629 #### and Linux/Unix
630 #######################################################################
631 TARGETS_ALL = $(am__append_1)
632
633 ################ MACROS ######################
634 # Rule to build a macro
635 # NOT USED  AT THE MOMENT
636 SUFFIXES = .sci 
637
638 ########### INSTALL DOCUMENTATION ###################
639
640 # Install documentation files into the right target
641 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
642 # automake needs the html files to be present which is not the case when
643 # we are building Scilab
644
645 # Where it should be installed
646 pkgdocdir = $(mydatadir)
647
648 # What is the mask of the help source
649 DOCMASKXML = *.xml
650
651 # What is the mask of the MathML sources
652 DOCMASKMML = *.mml
653
654 ########### INSTALL DATA ###################
655 # Install macros, help & demos
656 # Where it should be installed
657 pkgmacrosdir = $(mydatadir)
658 # Which directory we process
659 MACRODIRS = macros/
660 # Mask of the Scilab sources macros
661 MACROMASK = *.sci
662 # Mask of the Scilab executable sources macros
663 MACROBUILDMASK = *.sce
664 # Mask of the Scilab compiled macros
665 MACROBINMASK = *.bin
666 # List of the standard directory for tests
667 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
668 # Where the demos should be installed
669 pkgdemosdir = $(mydatadir)
670 # List of the standard directory for demos
671 DEMOS_DIR = demos
672 # List of the standard directory for examples
673 EXAMPLES_DIR = examples
674 # Where to export JAVA archives (.jar)
675 JARDIR = jar/
676 # JAR files mask
677 JARMASK = *.jar
678 # Chapter file 
679 HELP_CHAPTERDIR = help/
680 HELP_CHAPTERFILE = addchapter.sce
681 HELP_CHAPTERLANG = en_US fr_FR pt_BR
682 all: all-am
683
684 .SUFFIXES:
685 .SUFFIXES: .sci .bin .c .f .lo .o .obj
686 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
687         @for dep in $?; do \
688           case '$(am__configure_deps)' in \
689             *$$dep*) \
690               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
691                 && { if test -f $@; then exit 0; else break; fi; }; \
692               exit 1;; \
693           esac; \
694         done; \
695         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/io/Makefile'; \
696         $(am__cd) $(top_srcdir) && \
697           $(AUTOMAKE) --foreign modules/io/Makefile
698 .PRECIOUS: Makefile
699 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
700         @case '$?' in \
701           *config.status*) \
702             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
703           *) \
704             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
705             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
706         esac;
707 $(top_srcdir)/Makefile.incl.am:
708
709 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
710         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
711
712 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
713         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
714 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
715         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
716 $(am__aclocal_m4_deps):
717
718 clean-noinstLTLIBRARIES:
719         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
720         @list='$(noinst_LTLIBRARIES)'; \
721         locs=`for p in $$list; do echo $$p; done | \
722               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
723               sort -u`; \
724         test -z "$$locs" || { \
725           echo rm -f $${locs}; \
726           rm -f $${locs}; \
727         }
728
729 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
730         @$(NORMAL_INSTALL)
731         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
732         list2=; for p in $$list; do \
733           if test -f $$p; then \
734             list2="$$list2 $$p"; \
735           else :; fi; \
736         done; \
737         test -z "$$list2" || { \
738           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
739           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
740           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
741           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
742         }
743
744 uninstall-pkglibLTLIBRARIES:
745         @$(NORMAL_UNINSTALL)
746         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
747         for p in $$list; do \
748           $(am__strip_dir) \
749           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
750           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
751         done
752
753 clean-pkglibLTLIBRARIES:
754         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
755         @list='$(pkglib_LTLIBRARIES)'; \
756         locs=`for p in $$list; do echo $$p; done | \
757               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
758               sort -u`; \
759         test -z "$$locs" || { \
760           echo rm -f $${locs}; \
761           rm -f $${locs}; \
762         }
763
764 libsciio-algo.la: $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_DEPENDENCIES) $(EXTRA_libsciio_algo_la_DEPENDENCIES) 
765         $(AM_V_F77LD)$(F77LINK) $(am_libsciio_algo_la_rpath) $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_LIBADD) $(LIBS)
766
767 libsciio.la: $(libsciio_la_OBJECTS) $(libsciio_la_DEPENDENCIES) $(EXTRA_libsciio_la_DEPENDENCIES) 
768         $(AM_V_F77LD)$(F77LINK) $(am_libsciio_la_rpath) $(libsciio_la_OBJECTS) $(libsciio_la_LIBADD) $(LIBS)
769
770 mostlyclean-compile:
771         -rm -f *.$(OBJEXT)
772
773 distclean-compile:
774         -rm -f *.tab.c
775
776 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-GetenvB.Plo@am__quote@
777 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-getenvc.Plo@am__quote@
778 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-getpidc.Plo@am__quote@
779 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-setenvc.Plo@am__quote@
780 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-systemc.Plo@am__quote@
781 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo@am__quote@
782 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-gw_io.Plo@am__quote@
783 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_file.Plo@am__quote@
784 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getenv.Plo@am__quote@
785 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getio.Plo@am__quote@
786 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getpid.Plo@am__quote@
787 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_host.Plo@am__quote@
788 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_load.Plo@am__quote@
789 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_read.Plo@am__quote@
790 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_read4b.Plo@am__quote@
791 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_readb.Plo@am__quote@
792 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_save.Plo@am__quote@
793 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_setenv.Plo@am__quote@
794 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_unix.Plo@am__quote@
795 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_write.Plo@am__quote@
796 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_write4b.Plo@am__quote@
797 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_writeb.Plo@am__quote@
798
799 .c.o:
800 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
801 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
802 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
803 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
804 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
805
806 .c.obj:
807 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
808 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
809 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
810 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
811 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
812
813 .c.lo:
814 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
815 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
816 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
817 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
818 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
819
820 libsciio_algo_la-getpidc.lo: src/c/getpidc.c
821 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-getpidc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-getpidc.Tpo -c -o libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
822 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_algo_la-getpidc.Tpo $(DEPDIR)/libsciio_algo_la-getpidc.Plo
823 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getpidc.c' object='libsciio_algo_la-getpidc.lo' libtool=yes @AMDEPBACKSLASH@
824 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
825 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
826
827 libsciio_algo_la-setenvc.lo: src/c/setenvc.c
828 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-setenvc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-setenvc.Tpo -c -o libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
829 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_algo_la-setenvc.Tpo $(DEPDIR)/libsciio_algo_la-setenvc.Plo
830 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/setenvc.c' object='libsciio_algo_la-setenvc.lo' libtool=yes @AMDEPBACKSLASH@
831 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
832 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
833
834 libsciio_algo_la-systemc.lo: src/c/systemc.c
835 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-systemc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-systemc.Tpo -c -o libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
836 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_algo_la-systemc.Tpo $(DEPDIR)/libsciio_algo_la-systemc.Plo
837 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/systemc.c' object='libsciio_algo_la-systemc.lo' libtool=yes @AMDEPBACKSLASH@
838 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
839 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
840
841 libsciio_algo_la-getenvc.lo: src/c/getenvc.c
842 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-getenvc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-getenvc.Tpo -c -o libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
843 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_algo_la-getenvc.Tpo $(DEPDIR)/libsciio_algo_la-getenvc.Plo
844 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getenvc.c' object='libsciio_algo_la-getenvc.lo' libtool=yes @AMDEPBACKSLASH@
845 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
846 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
847
848 libsciio_algo_la-GetenvB.lo: src/c/GetenvB.c
849 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-GetenvB.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-GetenvB.Tpo -c -o libsciio_algo_la-GetenvB.lo `test -f 'src/c/GetenvB.c' || echo '$(srcdir)/'`src/c/GetenvB.c
850 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_algo_la-GetenvB.Tpo $(DEPDIR)/libsciio_algo_la-GetenvB.Plo
851 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/GetenvB.c' object='libsciio_algo_la-GetenvB.lo' libtool=yes @AMDEPBACKSLASH@
852 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
853 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-GetenvB.lo `test -f 'src/c/GetenvB.c' || echo '$(srcdir)/'`src/c/GetenvB.c
854
855 libsciio_algo_la-v2cuniterror.lo: src/c/v2cuniterror.c
856 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-v2cuniterror.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo -c -o libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
857 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo $(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo
858 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/v2cuniterror.c' object='libsciio_algo_la-v2cuniterror.lo' libtool=yes @AMDEPBACKSLASH@
859 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
860 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
861
862 libsciio_la-sci_read4b.lo: sci_gateway/c/sci_read4b.c
863 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_read4b.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_read4b.Tpo -c -o libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
864 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_read4b.Tpo $(DEPDIR)/libsciio_la-sci_read4b.Plo
865 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_read4b.c' object='libsciio_la-sci_read4b.lo' libtool=yes @AMDEPBACKSLASH@
866 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
867 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
868
869 libsciio_la-sci_getio.lo: sci_gateway/c/sci_getio.c
870 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getio.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getio.Tpo -c -o libsciio_la-sci_getio.lo `test -f 'sci_gateway/c/sci_getio.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getio.c
871 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_getio.Tpo $(DEPDIR)/libsciio_la-sci_getio.Plo
872 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getio.c' object='libsciio_la-sci_getio.lo' libtool=yes @AMDEPBACKSLASH@
873 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
874 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getio.lo `test -f 'sci_gateway/c/sci_getio.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getio.c
875
876 libsciio_la-sci_readb.lo: sci_gateway/c/sci_readb.c
877 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_readb.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_readb.Tpo -c -o libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
878 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_readb.Tpo $(DEPDIR)/libsciio_la-sci_readb.Plo
879 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_readb.c' object='libsciio_la-sci_readb.lo' libtool=yes @AMDEPBACKSLASH@
880 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
881 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
882
883 libsciio_la-sci_host.lo: sci_gateway/c/sci_host.c
884 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_host.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_host.Tpo -c -o libsciio_la-sci_host.lo `test -f 'sci_gateway/c/sci_host.c' || echo '$(srcdir)/'`sci_gateway/c/sci_host.c
885 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_host.Tpo $(DEPDIR)/libsciio_la-sci_host.Plo
886 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_host.c' object='libsciio_la-sci_host.lo' libtool=yes @AMDEPBACKSLASH@
887 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
888 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_host.lo `test -f 'sci_gateway/c/sci_host.c' || echo '$(srcdir)/'`sci_gateway/c/sci_host.c
889
890 libsciio_la-sci_file.lo: sci_gateway/c/sci_file.c
891 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_file.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_file.Tpo -c -o libsciio_la-sci_file.lo `test -f 'sci_gateway/c/sci_file.c' || echo '$(srcdir)/'`sci_gateway/c/sci_file.c
892 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_file.Tpo $(DEPDIR)/libsciio_la-sci_file.Plo
893 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_file.c' object='libsciio_la-sci_file.lo' libtool=yes @AMDEPBACKSLASH@
894 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
895 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_file.lo `test -f 'sci_gateway/c/sci_file.c' || echo '$(srcdir)/'`sci_gateway/c/sci_file.c
896
897 libsciio_la-sci_getenv.lo: sci_gateway/c/sci_getenv.c
898 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getenv.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getenv.Tpo -c -o libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
899 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_getenv.Tpo $(DEPDIR)/libsciio_la-sci_getenv.Plo
900 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getenv.c' object='libsciio_la-sci_getenv.lo' libtool=yes @AMDEPBACKSLASH@
901 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
902 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
903
904 libsciio_la-sci_write.lo: sci_gateway/c/sci_write.c
905 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_write.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_write.Tpo -c -o libsciio_la-sci_write.lo `test -f 'sci_gateway/c/sci_write.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write.c
906 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_write.Tpo $(DEPDIR)/libsciio_la-sci_write.Plo
907 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_write.c' object='libsciio_la-sci_write.lo' libtool=yes @AMDEPBACKSLASH@
908 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
909 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_write.lo `test -f 'sci_gateway/c/sci_write.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write.c
910
911 libsciio_la-sci_writeb.lo: sci_gateway/c/sci_writeb.c
912 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_writeb.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_writeb.Tpo -c -o libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
913 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_writeb.Tpo $(DEPDIR)/libsciio_la-sci_writeb.Plo
914 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_writeb.c' object='libsciio_la-sci_writeb.lo' libtool=yes @AMDEPBACKSLASH@
915 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
916 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
917
918 libsciio_la-sci_setenv.lo: sci_gateway/c/sci_setenv.c
919 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_setenv.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_setenv.Tpo -c -o libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
920 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_setenv.Tpo $(DEPDIR)/libsciio_la-sci_setenv.Plo
921 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_setenv.c' object='libsciio_la-sci_setenv.lo' libtool=yes @AMDEPBACKSLASH@
922 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
923 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
924
925 libsciio_la-gw_io.lo: sci_gateway/c/gw_io.c
926 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-gw_io.lo -MD -MP -MF $(DEPDIR)/libsciio_la-gw_io.Tpo -c -o libsciio_la-gw_io.lo `test -f 'sci_gateway/c/gw_io.c' || echo '$(srcdir)/'`sci_gateway/c/gw_io.c
927 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-gw_io.Tpo $(DEPDIR)/libsciio_la-gw_io.Plo
928 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_io.c' object='libsciio_la-gw_io.lo' libtool=yes @AMDEPBACKSLASH@
929 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
930 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-gw_io.lo `test -f 'sci_gateway/c/gw_io.c' || echo '$(srcdir)/'`sci_gateway/c/gw_io.c
931
932 libsciio_la-sci_read.lo: sci_gateway/c/sci_read.c
933 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_read.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_read.Tpo -c -o libsciio_la-sci_read.lo `test -f 'sci_gateway/c/sci_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read.c
934 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_read.Tpo $(DEPDIR)/libsciio_la-sci_read.Plo
935 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_read.c' object='libsciio_la-sci_read.lo' libtool=yes @AMDEPBACKSLASH@
936 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
937 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_read.lo `test -f 'sci_gateway/c/sci_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read.c
938
939 libsciio_la-sci_getpid.lo: sci_gateway/c/sci_getpid.c
940 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getpid.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getpid.Tpo -c -o libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
941 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_getpid.Tpo $(DEPDIR)/libsciio_la-sci_getpid.Plo
942 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getpid.c' object='libsciio_la-sci_getpid.lo' libtool=yes @AMDEPBACKSLASH@
943 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
944 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
945
946 libsciio_la-sci_write4b.lo: sci_gateway/c/sci_write4b.c
947 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_write4b.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_write4b.Tpo -c -o libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
948 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_write4b.Tpo $(DEPDIR)/libsciio_la-sci_write4b.Plo
949 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_write4b.c' object='libsciio_la-sci_write4b.lo' libtool=yes @AMDEPBACKSLASH@
950 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
951 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
952
953 libsciio_la-sci_load.lo: sci_gateway/c/sci_load.c
954 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_load.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_load.Tpo -c -o libsciio_la-sci_load.lo `test -f 'sci_gateway/c/sci_load.c' || echo '$(srcdir)/'`sci_gateway/c/sci_load.c
955 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_load.Tpo $(DEPDIR)/libsciio_la-sci_load.Plo
956 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_load.c' object='libsciio_la-sci_load.lo' libtool=yes @AMDEPBACKSLASH@
957 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
958 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_load.lo `test -f 'sci_gateway/c/sci_load.c' || echo '$(srcdir)/'`sci_gateway/c/sci_load.c
959
960 libsciio_la-sci_unix.lo: sci_gateway/c/sci_unix.c
961 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_unix.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_unix.Tpo -c -o libsciio_la-sci_unix.lo `test -f 'sci_gateway/c/sci_unix.c' || echo '$(srcdir)/'`sci_gateway/c/sci_unix.c
962 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_unix.Tpo $(DEPDIR)/libsciio_la-sci_unix.Plo
963 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_unix.c' object='libsciio_la-sci_unix.lo' libtool=yes @AMDEPBACKSLASH@
964 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
965 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_unix.lo `test -f 'sci_gateway/c/sci_unix.c' || echo '$(srcdir)/'`sci_gateway/c/sci_unix.c
966
967 libsciio_la-sci_save.lo: sci_gateway/c/sci_save.c
968 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_save.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_save.Tpo -c -o libsciio_la-sci_save.lo `test -f 'sci_gateway/c/sci_save.c' || echo '$(srcdir)/'`sci_gateway/c/sci_save.c
969 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciio_la-sci_save.Tpo $(DEPDIR)/libsciio_la-sci_save.Plo
970 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_save.c' object='libsciio_la-sci_save.lo' libtool=yes @AMDEPBACKSLASH@
971 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
972 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_save.lo `test -f 'sci_gateway/c/sci_save.c' || echo '$(srcdir)/'`sci_gateway/c/sci_save.c
973
974 .f.o:
975         $(AM_V_F77)$(F77COMPILE) -c -o $@ $<
976
977 .f.obj:
978         $(AM_V_F77)$(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
979
980 .f.lo:
981         $(AM_V_F77)$(LTF77COMPILE) -c -o $@ $<
982
983 v2unit.lo: src/fortran/v2unit.f
984         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o v2unit.lo `test -f 'src/fortran/v2unit.f' || echo '$(srcdir)/'`src/fortran/v2unit.f
985
986 newsave.lo: src/fortran/newsave.f
987         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o newsave.lo `test -f 'src/fortran/newsave.f' || echo '$(srcdir)/'`src/fortran/newsave.f
988
989 v2cunit.lo: src/fortran/v2cunit.f
990         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o v2cunit.lo `test -f 'src/fortran/v2cunit.f' || echo '$(srcdir)/'`src/fortran/v2cunit.f
991
992 intwrite4b.lo: sci_gateway/fortran/intwrite4b.f
993         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwrite4b.lo `test -f 'sci_gateway/fortran/intwrite4b.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwrite4b.f
994
995 intwritb.lo: sci_gateway/fortran/intwritb.f
996         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwritb.lo `test -f 'sci_gateway/fortran/intwritb.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwritb.f
997
998 intwrite.lo: sci_gateway/fortran/intwrite.f
999         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwrite.lo `test -f 'sci_gateway/fortran/intwrite.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwrite.f
1000
1001 intread4b.lo: sci_gateway/fortran/intread4b.f
1002         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intread4b.lo `test -f 'sci_gateway/fortran/intread4b.f' || echo '$(srcdir)/'`sci_gateway/fortran/intread4b.f
1003
1004 intread.lo: sci_gateway/fortran/intread.f
1005         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intread.lo `test -f 'sci_gateway/fortran/intread.f' || echo '$(srcdir)/'`sci_gateway/fortran/intread.f
1006
1007 intreadb.lo: sci_gateway/fortran/intreadb.f
1008         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intreadb.lo `test -f 'sci_gateway/fortran/intreadb.f' || echo '$(srcdir)/'`sci_gateway/fortran/intreadb.f
1009
1010 intfile.lo: sci_gateway/fortran/intfile.f
1011         $(AM_V_F77)$(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intfile.lo `test -f 'sci_gateway/fortran/intfile.f' || echo '$(srcdir)/'`sci_gateway/fortran/intfile.f
1012
1013 mostlyclean-libtool:
1014         -rm -f *.lo
1015
1016 clean-libtool:
1017         -rm -rf .libs _libs
1018 install-libsciio_la_etcDATA: $(libsciio_la_etc_DATA)
1019         @$(NORMAL_INSTALL)
1020         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
1021         if test -n "$$list"; then \
1022           echo " $(MKDIR_P) '$(DESTDIR)$(libsciio_la_etcdir)'"; \
1023           $(MKDIR_P) "$(DESTDIR)$(libsciio_la_etcdir)" || exit 1; \
1024         fi; \
1025         for p in $$list; do \
1026           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1027           echo "$$d$$p"; \
1028         done | $(am__base_list) | \
1029         while read files; do \
1030           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_etcdir)'"; \
1031           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_etcdir)" || exit $$?; \
1032         done
1033
1034 uninstall-libsciio_la_etcDATA:
1035         @$(NORMAL_UNINSTALL)
1036         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
1037         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1038         dir='$(DESTDIR)$(libsciio_la_etcdir)'; $(am__uninstall_files_from_dir)
1039 install-libsciio_la_rootDATA: $(libsciio_la_root_DATA)
1040         @$(NORMAL_INSTALL)
1041         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
1042         if test -n "$$list"; then \
1043           echo " $(MKDIR_P) '$(DESTDIR)$(libsciio_la_rootdir)'"; \
1044           $(MKDIR_P) "$(DESTDIR)$(libsciio_la_rootdir)" || exit 1; \
1045         fi; \
1046         for p in $$list; do \
1047           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1048           echo "$$d$$p"; \
1049         done | $(am__base_list) | \
1050         while read files; do \
1051           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_rootdir)'"; \
1052           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_rootdir)" || exit $$?; \
1053         done
1054
1055 uninstall-libsciio_la_rootDATA:
1056         @$(NORMAL_UNINSTALL)
1057         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
1058         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1059         dir='$(DESTDIR)$(libsciio_la_rootdir)'; $(am__uninstall_files_from_dir)
1060 install-libsciio_la_sci_gatewayDATA: $(libsciio_la_sci_gateway_DATA)
1061         @$(NORMAL_INSTALL)
1062         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
1063         if test -n "$$list"; then \
1064           echo " $(MKDIR_P) '$(DESTDIR)$(libsciio_la_sci_gatewaydir)'"; \
1065           $(MKDIR_P) "$(DESTDIR)$(libsciio_la_sci_gatewaydir)" || exit 1; \
1066         fi; \
1067         for p in $$list; do \
1068           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1069           echo "$$d$$p"; \
1070         done | $(am__base_list) | \
1071         while read files; do \
1072           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_sci_gatewaydir)'"; \
1073           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_sci_gatewaydir)" || exit $$?; \
1074         done
1075
1076 uninstall-libsciio_la_sci_gatewayDATA:
1077         @$(NORMAL_UNINSTALL)
1078         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
1079         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1080         dir='$(DESTDIR)$(libsciio_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1081
1082 ID: $(am__tagged_files)
1083         $(am__define_uniq_tagged_files); mkid -fID $$unique
1084 tags: tags-am
1085 TAGS: tags
1086
1087 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1088         set x; \
1089         here=`pwd`; \
1090         $(am__define_uniq_tagged_files); \
1091         shift; \
1092         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1093           test -n "$$unique" || unique=$$empty_fix; \
1094           if test $$# -gt 0; then \
1095             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1096               "$$@" $$unique; \
1097           else \
1098             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1099               $$unique; \
1100           fi; \
1101         fi
1102 ctags: ctags-am
1103
1104 CTAGS: ctags
1105 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1106         $(am__define_uniq_tagged_files); \
1107         test -z "$(CTAGS_ARGS)$$unique" \
1108           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1109              $$unique
1110
1111 GTAGS:
1112         here=`$(am__cd) $(top_builddir) && pwd` \
1113           && $(am__cd) $(top_srcdir) \
1114           && gtags -i $(GTAGS_ARGS) "$$here"
1115 cscopelist: cscopelist-am
1116
1117 cscopelist-am: $(am__tagged_files)
1118         list='$(am__tagged_files)'; \
1119         case "$(srcdir)" in \
1120           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1121           *) sdir=$(subdir)/$(srcdir) ;; \
1122         esac; \
1123         for i in $$list; do \
1124           if test -f "$$i"; then \
1125             echo "$(subdir)/$$i"; \
1126           else \
1127             echo "$$sdir/$$i"; \
1128           fi; \
1129         done >> $(top_builddir)/cscope.files
1130
1131 distclean-tags:
1132         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1133
1134 distdir: $(DISTFILES)
1135         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1136         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1137         list='$(DISTFILES)'; \
1138           dist_files=`for file in $$list; do echo $$file; done | \
1139           sed -e "s|^$$srcdirstrip/||;t" \
1140               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1141         case $$dist_files in \
1142           */*) $(MKDIR_P) `echo "$$dist_files" | \
1143                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1144                            sort -u` ;; \
1145         esac; \
1146         for file in $$dist_files; do \
1147           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1148           if test -d $$d/$$file; then \
1149             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1150             if test -d "$(distdir)/$$file"; then \
1151               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1152             fi; \
1153             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1154               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1155               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1156             fi; \
1157             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1158           else \
1159             test -f "$(distdir)/$$file" \
1160             || cp -p $$d/$$file "$(distdir)/$$file" \
1161             || exit 1; \
1162           fi; \
1163         done
1164 check-am: all-am
1165         $(MAKE) $(AM_MAKEFLAGS) check-local
1166 check: check-am
1167 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1168 installdirs:
1169         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciio_la_etcdir)" "$(DESTDIR)$(libsciio_la_rootdir)" "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"; do \
1170           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1171         done
1172 install: install-am
1173 install-exec: install-exec-am
1174 install-data: install-data-am
1175 uninstall: uninstall-am
1176
1177 install-am: all-am
1178         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1179
1180 installcheck: installcheck-am
1181 install-strip:
1182         if test -z '$(STRIP)'; then \
1183           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1184             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1185               install; \
1186         else \
1187           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1188             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1189             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1190         fi
1191 mostlyclean-generic:
1192
1193 clean-generic:
1194
1195 distclean-generic:
1196         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1197         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1198
1199 maintainer-clean-generic:
1200         @echo "This command is intended for maintainers to use"
1201         @echo "it deletes files that may require special tools to rebuild."
1202 clean: clean-am
1203
1204 clean-am: clean-generic clean-libtool clean-local \
1205         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1206
1207 distclean: distclean-am
1208         -rm -rf ./$(DEPDIR)
1209         -rm -f Makefile
1210 distclean-am: clean-am distclean-compile distclean-generic \
1211         distclean-local distclean-tags
1212
1213 dvi: dvi-am
1214
1215 dvi-am:
1216
1217 html: html-am
1218
1219 html-am:
1220
1221 info: info-am
1222
1223 info-am:
1224
1225 install-data-am: install-data-local install-libsciio_la_etcDATA \
1226         install-libsciio_la_rootDATA \
1227         install-libsciio_la_sci_gatewayDATA
1228
1229 install-dvi: install-dvi-am
1230
1231 install-dvi-am:
1232
1233 install-exec-am: install-pkglibLTLIBRARIES
1234
1235 install-html: install-html-am
1236
1237 install-html-am: install-html-local
1238
1239 install-info: install-info-am
1240
1241 install-info-am:
1242
1243 install-man:
1244
1245 install-pdf: install-pdf-am
1246
1247 install-pdf-am:
1248
1249 install-ps: install-ps-am
1250
1251 install-ps-am:
1252
1253 installcheck-am:
1254
1255 maintainer-clean: maintainer-clean-am
1256         -rm -rf ./$(DEPDIR)
1257         -rm -f Makefile
1258 maintainer-clean-am: distclean-am maintainer-clean-generic
1259
1260 mostlyclean: mostlyclean-am
1261
1262 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1263         mostlyclean-libtool
1264
1265 pdf: pdf-am
1266
1267 pdf-am:
1268
1269 ps: ps-am
1270
1271 ps-am:
1272
1273 uninstall-am: uninstall-libsciio_la_etcDATA \
1274         uninstall-libsciio_la_rootDATA \
1275         uninstall-libsciio_la_sci_gatewayDATA \
1276         uninstall-pkglibLTLIBRARIES
1277
1278 .MAKE: check-am install-am install-strip
1279
1280 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1281         check-local clean clean-generic clean-libtool clean-local \
1282         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1283         ctags ctags-am distclean distclean-compile distclean-generic \
1284         distclean-libtool distclean-local distclean-tags distdir dvi \
1285         dvi-am html html-am info info-am install install-am \
1286         install-data install-data-am install-data-local install-dvi \
1287         install-dvi-am install-exec install-exec-am install-html \
1288         install-html-am install-html-local install-info \
1289         install-info-am install-libsciio_la_etcDATA \
1290         install-libsciio_la_rootDATA \
1291         install-libsciio_la_sci_gatewayDATA install-man install-pdf \
1292         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1293         install-ps-am install-strip installcheck installcheck-am \
1294         installdirs maintainer-clean maintainer-clean-generic \
1295         mostlyclean mostlyclean-compile mostlyclean-generic \
1296         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1297         uninstall-am uninstall-libsciio_la_etcDATA \
1298         uninstall-libsciio_la_rootDATA \
1299         uninstall-libsciio_la_sci_gatewayDATA \
1300         uninstall-pkglibLTLIBRARIES
1301
1302
1303 # This target enables tests for Scilab
1304 check-local: $(top_builddir)/scilab-bin test
1305         if test -d $(mydatadir)/tests; then \
1306           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1307         fi
1308 check-code:
1309         if test -f build.xml; then \
1310                 $(ANT) checkstyle; \
1311         fi
1312         if test -x "$(SPLINT)"; then \
1313                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1314         fi
1315 @NEED_JAVA_TRUE@java:
1316 # Some configurations needs to export JAVA_HOME in the current env
1317 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1318 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1319 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1320 @NEED_JAVA_TRUE@                $(ANT); \
1321 @NEED_JAVA_TRUE@        fi
1322
1323 @NEED_JAVA_TRUE@clean-java:
1324 # Some configurations needs to export JAVA_HOME in the current env
1325 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1326 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1327 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1328 @NEED_JAVA_TRUE@                $(ANT) clean; \
1329 @NEED_JAVA_TRUE@        fi;
1330
1331 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1332 # We call the target swig-build on the variable SWIG_WRAPPERS
1333
1334 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1335 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1336 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1337 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1338 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1339 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1340 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1341 @SWIG_TRUE@             done; \
1342 @SWIG_TRUE@     fi
1343
1344 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1345 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1346 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1347 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1348 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1349 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1350 @SWIG_TRUE@             done; \
1351 @SWIG_TRUE@     fi
1352
1353 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1354 # We call the target swig-build on the variable SWIG_WRAPPERS
1355
1356 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1357 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1358 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1359 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1360 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1361 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1362 @GIWS_TRUE@             done; \
1363 @GIWS_TRUE@     fi
1364
1365 @GIWS_TRUE@giws-exception:
1366 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1367 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1368 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1369
1370 macros:
1371         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1372                 echo "Error : Cannot build $< : Scilab has not been built"; \
1373         else \
1374                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1375         fi)
1376
1377 # Removes the macros
1378 clean-macros:
1379 # Removes macros (*.bin generated from .sci)
1380         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1381                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1382                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1383         done
1384
1385 test:
1386 # More tests could be added here
1387         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1388         if test -f build.xml -a $$USEANT -eq 1; then \
1389                 $(ANT) test; \
1390         fi
1391
1392 all-local: $(TARGETS_ALL)
1393
1394 .sci.bin:
1395         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1396         echo "Error : Cannot build $< : Scilab has not been build"; \
1397         else \
1398         echo "Creating $@"; \
1399         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1400         fi )
1401
1402 install-html-local:
1403
1404 install-data-local-local:
1405 # Mainly for javasci
1406         @if test -d $(srcdir)/javadoc; then \
1407                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1408         fi
1409 # If the user wants the help sources to be installed
1410 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1411 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1412 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1413 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1414 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1415 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1416 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1417 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1418 @INSTALL_HELP_XML_TRUE@           done ; \
1419 @INSTALL_HELP_XML_TRUE@         fi; \
1420 @INSTALL_HELP_XML_TRUE@  fi; \
1421 @INSTALL_HELP_XML_TRUE@ done; \
1422 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1423 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1424 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1425 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1426 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1427 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1428 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1429 @INSTALL_HELP_XML_TRUE@           done ; \
1430 @INSTALL_HELP_XML_TRUE@         fi; \
1431 @INSTALL_HELP_XML_TRUE@ fi
1432 install-data-local:
1433 # Install the tests
1434         @echo "-------- Install tests (if any) --------"; \
1435         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1436           if test -d $(srcdir)/$$dir/; then \
1437             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1438                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1439                     if test -d "$(srcdir)/$$dir/$$file"; then \
1440                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1441                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1442                     else \
1443                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1444                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1445                     fi \
1446                   done; \
1447           fi; \
1448         done
1449 # Install the help chapter
1450         @echo "-------- Install the help chapter (if any) --------"; \
1451         for lang in $(HELP_CHAPTERLANG); do \
1452                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1453                 if test -f $$HELPFILE; then \
1454                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1455                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1456                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1457                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1458                 fi; \
1459         done
1460 # Install the demos & examples
1461         @echo "-------- Install demos & examples (if any) --------"; \
1462         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1463           if test -d $(srcdir)/$$dir/; then \
1464             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1465                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1466                     if test -d "$(srcdir)/$$dir/$$file"; then \
1467                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1468                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1469                     else \
1470                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1471                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1472                     fi \
1473                   done; \
1474           fi; \
1475         done
1476 # Install the macros
1477         @echo "-------- Install macros (if any) --------"; \
1478         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1479           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1480                 if test -d $(srcdir)/$$dir/; then \
1481                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1482                         if test -n "$(MACROSSPECIALEXT)"; then \
1483                                 specialExtDir=""; \
1484                                 for specialExt in $(MACROSSPECIALEXT); do \
1485                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1486                                 done; \
1487                                 FILELIST="$$FILELIST $$specialExtDir"; \
1488                         fi; \
1489                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1490                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1491                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1492                   done; \
1493                 fi; \
1494         done
1495 # Install java files (.jar)
1496         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1497         echo "-------- Install jar files --------"; \
1498     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1499           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1500                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1501                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1502           done ; \
1503         fi
1504
1505 ########### CLEAN ###################
1506 # Clean help (generated automatically by Scilab)
1507 # It used to clean the macro (clean-macros) but this was causing
1508 # make clean && make to fail Scilab startup
1509 @NEED_JAVA_TRUE@clean-local: clean-java
1510 @NEED_JAVA_FALSE@clean-local:
1511
1512 distclean-local:
1513         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1514
1515 .PHONY: macros java swig giws
1516
1517 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1518 # Otherwise a system limit (for SysV at least) may be exceeded.
1519 .NOEXPORT: